Next Previous Up Contents
Next: TwoQZ
Up: Activation Functions
Previous: SuperCosmos

### B.2.8 System

Functions for executing shell commands on the local operating system and other system-level operations.

`exec( words, ... )`
  Executes an operating system command composed of a command and one or more arguments.

  Each of the `words` values is treated as a single (possibly quoted) word in a shell command. The first argument is the filename (either a full pathname, or the name of a file on the current path) of an executable file. These values can be numeric, or strings, or something else, and are converted automatically to string values.

  - Parameters:
    - `words` (Object, one or more): one or more words composing a shell command; first is command and others are arguments
  - Return value
    - (String): short report message
  - Examples:
    - `exec("/home/mbt/bin/process_obj.py", OBJ_NAME)`
    - `exec("process_skycoords.py", RA, DEC)`
    - `exec("process_sphericalcoords.sh", RA, DEC, 1.0)`
`exec( line )`
  Executes a string as an operating system command. Any spaces in the string are taken to delimit words (the first word is the name of the command).

  - Parameters:
    - `line` (String): command line to execute
  - Return value
    - (String): short report message
  - Example:
    - `exec("do_stuff.py " + RA + " " + DEC)`
`sleepMillis( millis )`
  Waits for a specified number of milliseconds.

  - Parameters:
    - `millis` (integer): number of milliseconds to wait
`sleep( secs )`
  Waits for a specified number of seconds.

  - Parameters:
    - `secs` (integer): number of seconds to wait

Next Previous Up Contents
Next: TwoQZ
Up: Activation Functions
Previous: SuperCosmos

TOPCAT - Tool for OPerations on Catalogues And Tables
Starlink User Note253
TOPCAT web page: http://www.starlink.ac.uk/topcat/
Author email: m.b.taylor@bristol.ac.uk
Mailing list: topcat-user@jiscmail.ac.uk